package com.mbridge.sdk.demo.view;

import android.annotation.SuppressLint;
import android.content.Context;
import android.util.AttributeSet;
import android.widget.ImageView;
import android.widget.LinearLayout;

import com.mbridge.sdk.demo.R;

public class StarLevelLayoutView extends LinearLayout {

	public StarLevelLayoutView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public StarLevelLayoutView(Context context) {
		super(context);
	}

	@SuppressLint("NewApi")
	public StarLevelLayoutView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}

	public void setRating(int rating) {
		removeAllViews();
		int tempRating = rating;
		if (tempRating == 0) {
			tempRating = 5;
		}
		int i = 0;
		while (i < 5) {
			ImageView imageView = new ImageView(getContext());
			LinearLayout.LayoutParams lp = new LinearLayout.LayoutParams(LayoutParams.WRAP_CONTENT,
					LayoutParams.WRAP_CONTENT);
			if (i < tempRating) {
				imageView.setImageResource(R.drawable.mbridge_download_message_dialog_star_sel);
			} else {
				imageView.setImageResource(R.drawable.mbridge_download_message_dilaog_star_nor);
			}
			addView(imageView, lp);
			i++;
		}
	}

}
